#define gtk	((GtkAdjustment *) gtk)
- (gfloat) getValue
{
    return gtk->value;
}

- (void) setLower:(gfloat) lower upper:(gfloat) upper stepIncrement:(gfloat) step_increment pageIncrement:(gfloat) page_increment pageSize:(gfloat) page_size
{
    gtk->lower = lower;
    gtk->upper = upper;
    gtk->step_increment = step_increment;
    gtk->page_increment = page_increment;
    gtk->page_size = page_size;
}

- (void) getLower:(gfloat *) lower upper:(gfloat *) upper stepIncrement:(gfloat *) step_increment pageIncrement:(gfloat *) page_increment pageSize:(gfloat *) page_size
{
    *lower = gtk->lower;
    *upper = gtk->upper;
    *step_increment = gtk->step_increment;
    *page_increment = gtk->page_increment;
    *page_size = gtk->page_size;
}
#undef gtk
